package com.itbaizhan.travel.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.itbaizhan.travel.mapper.AdminMapper;
import com.itbaizhan.travel.pojo.Admin;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AdminService {
    @Autowired
    private AdminMapper mapper;

    /**
     * 分页查询管理员
     * @param page 第几页
     * @param size 每页调试
     * @return 返回查询管理员Page 页面对象
     */
    public Page<Admin> findPage(Integer page,Integer size){
        Page selectPage = mapper.selectPage(new Page(page, size), null);
        return selectPage;
    }

    /**
     * 新增管理员用户
     * @param admin 管理员对象
     */
    public void add(Admin admin){
        mapper.insert(admin);
    }

}
